Longhorn
===

This component is deployed to provide persistent storage replicated across the nodes in an easy fashion.

Current issues
---

- As described in [issue 7183](https://github.com/longhorn/longhorn/issues/7183) Longhorn v1.5.3 fails to recover from certain states for share-managers. [The workaround was documented upstream.](https://github.com/longhorn/longhorn/issues/7183#issuecomment-1871244631)

Nice to knows
---

- [volume-expansion is offline expansion only.](https://github.com/longhorn/longhorn/issues/2749#issuecomment-872072957) This means you have to scale down deployments to expand volumes.
- Adjusting the defaults in the helm deployment, doesn't adjust them in production. Production is managed with `settings.longhorn.io` objects which are basically a key-value CRD.
- Longhorn requests by default 12% of your node CPUs for each instance-manager. This can easily exhaust your CPU resources in the cluster. Adjust this setting can only be done **when all your volumes are detached**, which implies scaling down all deployments that use volumes. (The deployment in this directory adjusted the CPU requests to 2%).


Links
---

- [Docs](https://longhorn.io/docs/)
- [Helm Chart](https://artifacthub.io/packages/helm/longhorn/longhorn)
- [Source Code](https://github.com/longhorn)
- [Help Forum](https://github.com/longhorn/longhorn/discussions)
