# Node

A node is a machine in the Cluster, this includes control-plane and compute nodes. In the current setup these are the same, there is the possibility, that they will become more divers in the long run.

## Parts

|Part | Type | Reasoning |
|-----|------|-----------|
|["Lenovo ThinkCentre M75q Gen 2"](https://www.lenovo.com/us/en/p/desktops/thinkcentre/m-series-tiny/thinkcentre-m75q-gen-2/11tc1mtm7g2)|CPU, RAM, board, NVMe, Chassis, power supply, …|These machines, are quite powerful, have a low energy footprint, are easy to maintain and are relatively quiet. **Note**: There is a AMD Ryzen 4xxx and a 5xxx variant of this device, I highly recommend to get the 5xxx series.|
|[Crucial 3200MHz DDR4 Memory](https://www.crucial.com/memory/ddr4/ct16g4sfra32a)|RAM|The M75q already comes with 16GB of DDR4 memory pre-installed, an additional 16GB Stick provides a total of 32GB of RAM and switches RAM into dual channel mode.|
|[Crucial mx500 2TB SATA-SSD](https://www.crucial.com/ssd/mx500/ct2000mx500ssd1)|SSD|In order to provide storage within the cluster, some additional NVMe Space in combination with a CSI is very useful.|

## Setup

In order to setup the device, install the additional RAM in the underside of the device and the SSD in the 2.5" bay.

<iframe width="100%" height="480" src="https://www.youtube-nocookie.com/embed/M1EL8yYe_0s?start=292" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

[Hardware Maintaince Guide](https://web.archive.org/web/20230208212643/https://download.lenovo.com/pccbbs/thinkcentre_pdf/m75q_gen2_hmm.pdf)

## Power usage

In my usage of these machines, my tests resulted in a power-usage of 20W on average, however, they can peak notably higher, when full performance is required. Given they run on a 65W power supply, there is this "natural" limit.

## Cost

<div class="warning">
Be aware the numbers are from 2021, before price changes and with a wrong power estimate.
</div>

Before buying this hardware there was an estimate, that compared it with the potential cloud spend on Hetzner cloud for machines with acceptable to comparable specs.

To make them comparable the M75q's storage of 512GiB was used as reference and all Hetzner Machines were "filled up" to 512GiB with Hetzner storage volumes.

Further for local electricity cost it was assumes that 1 kWh would cost 0.35€ and that the average power usage per machine would be 14 watts, there was a running cost added of 5€ to upgrade the home internet connection and further 5€ to run a load-balancer in a cloud to connect the machines as described in the [Ingress-Termination concept](../concepts/ingress-termination.md).

This calculation assumes a target of 3 hosts of the same type to build a Kubernetes Cluster with shared costs for the loadbalancer and the internet cost, while electricity cost is per node.

[![Graph of the cost development over time.](images/cost-development3.jpg)](images/cost-development.svg)
