module "gw" {
  source         = "../modules/hcloud_instance"
  instance_count = 1
  location       = var.location
  name           = "gw"
  dns_domain     = nonsensitive(data.sops_file.vars.data["cloudflare.zone.domain"])
  dns_zone_id    = nonsensitive(data.sops_file.vars.data["cloudflare.zone.id"])
  dns_record_aaaa = false
  image          = "fedora-38"
  user_data      = templatefile("templates/cloud-init.tpl", {
                      netbird_key = data.sops_file.vars.data["netbird.key"],
                      netbird_sshkey = data.sops_file.vars.data["netbird.sshKey"],
                      netbird_privatekey = data.sops_file.vars.data["netbird.privateKey"],
                      netbird_presharedkey = data.sops_file.vars.data["netbird.presharedKey"],
                    })
  ssh_keys       = data.hcloud_ssh_keys.all_keys.ssh_keys.*.name
  server_type    = "cx11"
  labels         = {
    "cluster.kubernetes.io/k8s01" = "owner",
    "firewall.hetzner.si-infra.de/web" = "true",
    "firewall.hetzner.si-infra.de/email" = "true"
  }
  //subnet         = hcloud_network_subnet.subnet.id
}
